"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchQueryBuilderOperatorLesserThanPlugin = void 0;
var _ElasticsearchQueryBuilderOperatorPlugin = require("../definition/ElasticsearchQueryBuilderOperatorPlugin");
class ElasticsearchQueryBuilderOperatorLesserThanPlugin extends _ElasticsearchQueryBuilderOperatorPlugin.ElasticsearchQueryBuilderOperatorPlugin {
  name = "elasticsearch.queryBuilder.operator.lesserThan.default";
  getOperator() {
    return "lt";
  }
  apply(query, params) {
    const {
      value,
      basePath
    } = params;
    query.filter.push({
      range: {
        [basePath]: {
          lt: value
        }
      }
    });
  }
}
exports.ElasticsearchQueryBuilderOperatorLesserThanPlugin = ElasticsearchQueryBuilderOperatorLesserThanPlugin;

//# sourceMappingURL=lt.js.map